<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3><strong>SMS Notification</strong></h3>
            </div>
            <div class="ibox-content">
                <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="notification(f);">
  
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Select customers</label>
                        <div class="col-sm-10 form-input">
                            <mat-chip-list #chipList>
                                <mat-chip
                                  *ngFor="let status of statuses"
                                  [selectable]="selectable"
                                  [removable]="removable"
                                  (removed)="remove(status)">
                                  {{status}}
                                  <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                                </mat-chip>
                                <input
                                class="form-control"
                                  placeholder="Select customers"
                                  #fruitInput
                                  [formControl]="fruitCtrl"
                                  [matAutocomplete]="auto"
                                  [matChipInputFor]="chipList"
                                  [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                  [matChipInputAddOnBlur]="addOnBlur"
                                  [(ngModel)]="customers" (ngModelChange)="searchCustomer($event);">
                              </mat-chip-list>
                              <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)" [displayWith]="displayFnOrderId">
                                <mat-option *ngFor="let fruit of filteredFruits" [value]="fruit">
                                  {{fruit.firstname}}
                                </mat-option>
                              </mat-autocomplete>
                        </div>
                    </div>
                  
                    <div class="form-group"><label class="col-sm-2 control-label">Message<i aria-hidden="true"
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="500" placeholder=" Message"
                                name="description" #text="ngModel" [(ngModel)]="pushNotification.text"
                                required>
                            <div class="error-msg"
                                *ngIf="text.errors && (text.dirty || text.touched || f.submitted)">
                                <div [hidden]="!text.errors.required">Message is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/customer']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
  </div>